import "core-js/stable/atob";
import { jwtDecode } from "jwt-decode";
import { observable } from "mobx";
import { SafeAreaView, Text } from "react-native";

const state = observable({
  token: "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
  get decoded() {
    return jwtDecode(this.token);
  },
  get decodedAsString() {
    return JSON.stringify(this.decoded);
  },
});

export default function App() {
  return (
    <SafeAreaView style={{ flex: 1, justifyContent: "center" }}>
      <Text style={{ color: "#000000" }}>{state.decodedAsString}</Text>
    </SafeAreaView>
  );
}
